import click
import yaml

from vs_starter.config import render_config


@click.command()
@click.argument("helm_config_path")
@click.argument("output_path")
@click.option("--slug", required=True)
@click.option(
    "--environment", required=True, type=click.Choice(["ops", "staging", "dev"])
)
@click.option("--extra-parameter-file", required=True, type=click.File())
def cli(
    helm_config_path: str,
    output_path: str,
    slug: str,
    environment: str,
    extra_parameter_file: str,
) -> None:
    render_config(
        helm_config_path,
        output_path,
        slug=slug,
        environment=environment,
        params=yaml.safe_load(extra_parameter_file),
    )
